package com.fdkankan.platform.user.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fdkankan.platform.agent.request.RequestNote;
import com.fdkankan.platform.agent.request.RequestSearch;
import com.fdkankan.platform.user.entity.IntercomMessage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.platform.user.request.RequestMessage;

import java.util.List;

/**
 * <p>
 * 咨询留言表 服务类
 * </p>
 *
 * @author 
 * @since 2021-12-24
 */
public interface IIntercomMessageService extends IService<IntercomMessage> {

    String saveByParam(RequestMessage message);

    List<IntercomMessage> getByEmail(String email);

    String updateActive(Long id, String state);

    String updateNote(RequestNote param);

    Page<IntercomMessage> searchLike(RequestSearch param);
}
